Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.multipart
Class MultiPartInputStream

    java.lang.Object
      org.mule.transport.http.multipart.MultiPartInputStream

    public class MultiPartInputStream

extends Object

MultipartInputStream Handle a MultiPart Mime input stream, breaking it up on the boundary into files and strings.

Nested Class Summary
`class` | `MultiPartInputStream.MultiPart`

Field Summary
`static MultipartConfiguration` | `__DEFAULT_MULTIPART_CONFIG`
`protected MultipartConfiguration` | `_config`
`protected String` | `_contentType`
`protected InputStream` | `_in`
`protected MultiMap` | `_map`
`protected Map<String,Part>` | `_parts`
`protected File` | `_tmpDir`
`static int` | `CR`
`static int` | `LF`

Constructor Summary
`MultiPartInputStream(InputStream in, String contentType, MultipartConfiguration config)`

Method Summary
`MultiMap` | `getMap()`
`Part` | `getPart(String name)`
`Collection<Part>` | `getParts()`
`protected void` | `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __DEFAULT_MULTIPART_CONFIG

    public static final MultipartConfiguration __DEFAULT_MULTIPART_CONFIG

### _in

    protected InputStream _in

### _config

    protected MultipartConfiguration _config

### _contentType

    protected String _contentType

### _map

    protected MultiMap _map

### _parts

    protected Map<String,Part> _parts

### _tmpDir

    protected File _tmpDir

### CR

    public static int CR

### LF

    public static int LF

Constructor Detail

### MultiPartInputStream

    public MultiPartInputStream(InputStream in,
                                String contentType,
                                MultipartConfiguration config)

Parameters:
  `in` - Request input stream
  `contentType` - Content-Type header
  `config` - MultipartConfiguration

Method Detail

### getParts

    public Collection<Part> getParts()
                              throws IOException

  Throws:
    `IOException`

### getPart

    public Part getPart(String name)
                 throws IOException,
                        ServletException

  Throws:
    `IOException`
    `ServletException`

### getMap

    public MultiMap getMap()
                    throws IOException,
                           ServletException

  Throws:
    `IOException`
    `ServletException`

### parse

    protected void parse()
                  throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.